> For the complete documentation index, see [llms.txt](https://zumo.fusion.ac/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://zumo.fusion.ac/api-reference/http/get-bots.md).

# GET /bots

List connected producers (lobby and replay bots).

**Authentication:** `API-Key` required

## Response

| Status | Description                |
| ------ | -------------------------- |
| `200`  | Bot list                   |
| `401`  | Missing or invalid API key |

**`200` body**

| Field                | Type   | Description                |
| -------------------- | ------ | -------------------------- |
| `bots`               | array  | Connected producers        |
| `bots[].socketId`    | string | Socket id                  |
| `bots[].botId`       | string | Producer id                |
| `bots[].mode`        | string | Mode slug                  |
| `bots[].lobbyId`     | number | Lobby number (lobby bots)  |
| `bots[].connectedAt` | number | Connect time (ms epoch)    |
| `bots[].lastEventAt` | number | Last event time (ms epoch) |

## Example

```bash
curl -s -H "API-Key: zk_your_key" "https://zed.fusion.ac/bots"
```

```json
{
  "bots": [
    {
      "socketId": "abc",
      "botId": "duels-1",
      "mode": "duels",
      "lobbyId": 1,
      "connectedAt": 1000,
      "lastEventAt": 2000
    }
  ]
}
```
